<?php 
global $lizatom_options;

define( 'THEME_NAME', 'Atomic' );

//add_action('wp_head','print_cufon');  

// load options panel
require_once(TEMPLATEPATH . '/lib/admin/admin/admin.php');

//remove admin bar
add_filter( 'show_admin_bar', '__return_false' );
// register javascripts for non-admin pages
add_action('init', 'lizatom_register_scripts');
// print styles
add_action('wp_print_styles', 'lizatom_print_styles', -999);
// print javascript
add_action('wp_print_scripts', 'lizatom_print_scripts');

/**
 * registers javascript
 * 
 */
function lizatom_register_scripts()
{    
    if (!is_admin()) {  
        wp_deregister_script('jquery');       
        wp_register_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js','','', false );               
        wp_register_script( 'easing', get_template_directory_uri() . '/lib/js/jquery.easing.1.3.js', array('jquery'), '1.3', true);        
        wp_register_script( 'cufon-yui', get_template_directory_uri() . '/lib/js/cufon-yui.js', array('jquery'), '', true);  
        wp_register_script( 'jscrollpan', get_template_directory_uri() . '/lib/js/jquery.jscrollpane.min.js', array('jquery'), '', true);  
        wp_register_script( 'jmousewheel', get_template_directory_uri() . '/lib/js/jquery.mousewheel.js', array('jquery'), '', true);  
        wp_register_script( 'jtransform', get_template_directory_uri() . '/lib/js/jquery.transform-0.9.3.min_.js', array('jquery'), '', true);  
        wp_register_script( 'custom', get_template_directory_uri() . '/lib/js/custom.js', array ('jquery'), '1.0', true );           
        wp_register_script( 'jqueryui', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.11/jquery-ui.min.js', array('jquery'), '1.8.11', true );  
    } 
}

/**
 * prints css
 * 
 */
function lizatom_print_styles()
{
    if (!is_admin()) {          
        wp_enqueue_style('lizatom_style_css', get_template_directory_uri() . '/style.css');                  
    } 
}

/**
 * prints javascript
 * 
 */
function lizatom_print_scripts()
{    
    if (!is_admin()) {        
        wp_enqueue_script( 'jquery' );         
        wp_enqueue_script( 'easing' ); 
        wp_enqueue_script( 'cufon-yui' ); 
        wp_enqueue_script( 'jscrollpan' ); 
        wp_enqueue_script( 'jmousewheel' ); 
        wp_enqueue_script( 'jtransform' ); 
        wp_enqueue_script( 'custom' ); 
        wp_enqueue_script( 'jqueryui' ); 
    } 
}

/**
 * Prints contact form
 * 
 */
function print_contact_form() {
global $lizatom_options;
echo "<div class='lizatom-form-wrapper'>
                <p id='success'></p>                       
                <form id='contact-form' name='contact-form' method='POST'>       
                    <p>
                    <input type='text' value='' name='contact-names' class='contact-names'/><label class='label'>Name *</label>
                    </p>            
                    <p>
                    <input type='text' value='' name='contact-email' class='contact-email'/><label class='label'class='label'>Email *</label></p> 
                   
                    <p>
                    <textarea class='contact-comment' name='comments'></textarea><label class='label'class='label'>Message *</label></p>
                    <p id='p-submit'>
					<input type='text' value='" . $lizatom_options->contact_page_email  . "' name='contact-youremail' class='contact-youremail display-none'/>    
                    <input type='text' value='Email successfuly sent!' name='contact-emailsent' class='contact-emailsent display-none'/>
                    <input type='text' value='" . get_template_directory_uri() ."/lib/core/contact-send.php' name='do-validation' class='display-none'/>            
                    <button id='submit-form' class='submit-button' name='submit' type='submit' value='Submit'>Submit</button></p>                               
                </form>
         </div>";   
} 

/**
 * Prints classes to body tag
 * 
 */

add_filter('body_class','lizatomic_body_class');

function lizatomic_body_class($classes) {
    global $lizatom_options;
    //attachment's mimetype
    $mime_type = get_post_mime_type($post_id);
    if(($mime_type == 'image/jpeg') ||
       ($mime_type == 'image/png') || 
       ($mime_type == 'image/gif'))
    { $classes[] = 'image-attachment'; }
    //$classes[] = $mime_type;
    
    //browser
    global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;

    if($is_lynx) $classes[] = 'lynx';
             elseif($is_gecko) $classes[] = 'gecko';
             elseif($is_opera) $classes[] = 'opera';
             elseif($is_NS4) $classes[] = 'ns4';
             elseif($is_safari) $classes[] = 'safari';
             elseif($is_chrome) $classes[] = 'chrome';
             elseif($is_IE) {
             ereg('MSIE ([0-9]\.[0-9])',$_SERVER['HTTP_USER_AGENT'],$reg);
             if(!isset($reg[1])) {
             $classes[] = 'ie';
             } else {
             $classes[] = 'ie' . floatval($reg[1]);
             }
    }
    else $classes[] = 'unknown';  

    if($is_iphone) $classes[] = 'iphone';
    
    //post template
    global $post;
    
    if (get_post_meta($post->ID, "post-template", true)) {
     $classes[] = get_post_meta($post->ID, "post-template", true);
    }
    
    if(is_home() || is_page_template('template-wide.php') ) { $classes[] = 'wide'; }
    if($lizatom_options->homepage_slider == 'slider_roundabout') { $classes[] = 'slider-roundabout'; }
    $classes[] = 'sidebar-' . $lizatom_options->sidebar_side;
    return $classes;
}

?>
