<?php global $lizatom_options; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
     <head>
	  <title><?php
		    /*
		    * Print the <title> tag based on what is being viewed.
			 */
			 global $page, $paged;
			 wp_title( '|', true, 'right' );
			 // Add the blog name.
			 bloginfo( 'name' );
			 // Add the blog description for the home/front page.
			 $site_description = get_bloginfo( 'description', 'display' );
			 if ( $site_description && ( is_home() || is_front_page() ) )
			 echo " | $site_description";
			 // Add a page number if necessary:
			 if ( $paged >= 2 || $page >= 2 )
			 echo ' | ' . sprintf( __( 'Page %s', 'lizatom' ), max( $paged, $page ) );
		    ?></title>
	       <meta charset="<?php bloginfo( 'charset' ); ?>" />
	       <meta name="viewport" content="width=device-width" />
	       <?php lizatom_seo_init(); ?>
	       <?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
	       <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	       <?php if ($lizatom_options->custom_favicon) { ?>
	       <link rel="shortcut icon" href="<?php echo $lizatom_options->custom_favicon; ?>" />
	       <?php } ?>        
	       <link href='http://fonts.googleapis.com/css?family=PT+Sans+Narrow' rel='stylesheet' type='text/css' />
	       <?php wp_head(); ?>		
		   <style type="text/css">
			   .lt_content_wrapper,
			   .lt_footer,
			   .lt_menu a,
			   .lt_pattern div { background-image: none; background: <?php echo $lizatom_options->bg_color; ?> }
		   </style>		   
	  </head>
	  <body <?php body_class(); ?>>
	       <div id="lt_background" class="lt_background">
			   <img class="lt_bgimage" src="<?php if ($lizatom_options->default_image) { echo $lizatom_options->default_image; } else { echo get_template_directory_uri() .
				   '/images/6.jpg'; } ?>" alt="Background"/>
		    <div class="lt_overlay"></div>
		    <div class="lt_loading"></div>
	       </div>
	       <div id="lt_pattern" class="lt_pattern"></div>
	       <div class="lt_heading">
			   <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo('name') ?></a></h1>
	       </div>
	       <div id="lt_menu" class="lt_menu">
		    <?php
			 $pages = get_pages('sort_column=menu_order');
			 foreach ($pages as $page) { 
			 ?>		  
			 <a href="#" data-speed="1000" data-easing="easeOutBack"><?php echo $page->post_title; ?></a>
			 <?php } ?>
			 <!-- <a href="#" data-speed="1000" data-easing="easeOutBack">About</a>
			 <a href="#" data-speed="1000" data-easing="easeInExpo">Work</a>
			 <a href="#" data-speed="1000" data-easing="easeOutBack">Media</a>
			 <a href="#" data-speed="1000" data-easing="easeInExpo">Contact</a> -->
		    </div>
		    <div id="lt_content_wrapper" class="lt_content_wrapper">
			 <span class="lt_close"></span>
