<?php
// ADD ALL OUR META BOX STUFF
add_action('add_meta_boxes', 'ltsidebars_meta_box');

function ltsidebars_meta_box() {
	add_meta_box('ltsidebars_title_link', 'Lizatom dynamic sidebar', 'ltsidebars_title_link', 'post', 'side', 'default');
    add_meta_box('ltsidebars_title_link', 'Lizatom dynamic sidebar', 'ltsidebars_title_link', 'page', 'side', 'default');
}

// SET UP THE TITLE LINK META BOX
function ltsidebars_title_link() {
	global $post; 

	// NONCENAME NEEDED TO VERIFY WHERE THE DATA ORIGINATED
	echo '<input type="hidden" name="ltsidebars_meta_noncename" id="ltsidebars_meta_noncename" value="' .
		wp_create_nonce( plugin_basename(__FILE__) ) . '" />'; 

	// GET EXISTING DATA IF IT'S ALREADY BEEN ENTERED
	$ltsidebars_dropdown = get_post_meta($post->ID, 'ltsidebars_dropdown', true);

?>
<fieldset id="ltsidebars-div">
<div>
<p>
<label for="ltsidebars_dropdown" >Choose sidebar:</label><br />
<select name="ltsidebars_dropdown" id="ltsidebars_dropdown">
<?php global $lizatom_options; ?>
<option<?php selected( get_post_meta($post->ID, 'ltsidebars_dropdown', true), 'Sidebar 1' ); ?>>Sidebar 1</option>
<?php foreach($lizatom_options->dyn_sidebars as $dynamic_sidebar){   ?>
<option<?php selected( get_post_meta($post->ID, 'ltsidebars_dropdown', true), $dynamic_sidebar ); ?>><?php echo $dynamic_sidebar; ?></option>
<?php } ?>
</select>
</p>
</div>
</fieldset>
<?php
}

// GOTTA SAVE THE METADATA OF COURSE
function ltsidebars_save_meta($post_id, $post) { 

	// CHECK THIS CAME FROM THE RIGHT SCREEN WITH PROPER AUTHENTICATION
	// SINCE SAVE POST CAN BE TRIGGERED OTHER WAYS
	if ( !wp_verify_nonce( $_POST['ltsidebars_meta_noncename'], plugin_basename(__FILE__) )) {
	return $post->ID;
	} 

	// CAN WE EDIT THE POST OR PAGE?
	if ( !current_user_can( 'edit_post', $post->ID ))
		return $post->ID; 

	// AFTER AUTHENTICATION WE NEED TO FIND AND SAVE THE DATA
	// PUT IT IN AN ARRAY TO MAKE IT EASIER TO LOOP THROUGH

	$ltsidebars_meta['ltsidebars_dropdown'] = $_POST['ltsidebars_dropdown'];

	// ADD VALUES OF $ltsidebars_meta AS CUSTOM FIELDS

	foreach ($ltsidebars_meta as $key => $value) { // LOOP THROUGH THE $ltsidebars_meta ARRAY!
		if( $post->post_type == 'revision' ) return; // DON'T STORE THE DATA TWICE
		$value = implode(',', (array)$value); // IF $value IS IN AN ARRAY, MAKE IT A CSV (unlikely)
		if(get_post_meta($post->ID, $key, FALSE)) { // IF CUSTOM FIELD ALREADY HAS A VALUE
			update_post_meta($post->ID, $key, $value);
		} else { // AND IF IT DOESN'T ALREADY HAVE A VALUE
			add_post_meta($post->ID, $key, $value);
		}
		if(!$value) delete_post_meta($post->ID, $key); // DELETE IF IT'S EMPTY
	} 

} 

add_action('save_post', 'ltsidebars_save_meta', 1, 2); // SAVE THE CUSTOM FIELDS