jQuery(document).ready(function($) {

jQuery(".lt_footer .lt_right a img").css({"opacity": 0.2});
jQuery(".lt_footer .lt_right a img").hover(function(){
    jQuery(this).stop().animate({"opacity": 1});
},function(){
    jQuery(this).stop().animate({"opacity": 0.2});
});

jQuery(function() {
				var $menu			= $('#lt_menu'),
				$menuItems			= $menu.children('a'),
				$ltWrapper			= $('#lt_content_wrapper'),
				$ltClose			= $ltWrapper.children('.lt_close'),
				$ltContentItems		= $ltWrapper.children('.lt_content'),
				$ltContentInnerItems= $ltContentItems.children('.lt_content_inner');
				$ltPattern			= $('#lt_pattern'),
				$works				= $('#lt_imagelist > li'),
				$lt_bgimage			= $('#lt_background > img'),
				
				Menu		 		= (function(){
					
					var init		= function() {
						preloadImages();
						initPlugins();
						initPattern();
						initEventsHandler();
					},
					//preloads the images for the work area (data-bgimg attr)
					preloadImages	= function() {
						$works.each(function(i) {
							$('<img/>').attr('src' , $(this).children('img').data('bgimg'));
						});
					},
					//initialise the jScollPane (scroll plugin)
					initPlugins		= function() {
						$ltContentInnerItems.jScrollPane({
							verticalDragMinHeight: 40,
							verticalDragMaxHeight: 40
						});
					},
					/*
						draws 16 boxes on a specific area of the page.
						we randomly calculate the top, left, and rotation angle for each one of them
					 */
					initPattern		= function() {
						for(var i = 0; i < 16 ; ++i) {
							//random opacity, top, left and angle
							var o		= 0.1,
							t		= Math.floor(Math.random()*196) + 5, // between 5 and 200
							l		= Math.floor(Math.random()*696) + 5, // between 5 and 700
							a		= Math.floor(Math.random()*101) - 50; // between -50 and 50
									
							$el		= $('<div>').css({
								opacity			: o,
								top				: t + 'px',
								left			: l + 'px'
							});
								
							if (!$.browser.msie)
								$el.transform({'rotate'	: a + 'deg'});
								
							$el.appendTo($ltPattern);
						}
						$ltPattern.children().draggable(); //just for fun
					},
					/*
						when the User closes a content item, we move the boxes back to the original place,
						with new random values for top, left and angle though
					 */
					disperse 		= function() {
						$ltPattern.children().each(function(i) {
							//random opacity, top, left and angle
							var o			= 0.1,
							t			= Math.floor(Math.random()*196) + 5, // between 5 and 200
							l			= Math.floor(Math.random()*696) + 5, // between 5 and 700
							a			= Math.floor(Math.random()*101) - 50; // between -50 and 50
							$el			= $(this),
							param		= {
								width	: '50px',
								height	: '50px',
								opacity	: o,
								top		: t + 'px',
								left	: l + 'px'
							};
									
							if (!$.browser.msie)
								param.rotate	= a + 'deg';
									
							$el.animate(param, 1000, 'easeOutExpo');
						});
					},
					initEventsHandler	= function() {
						/*
							click a link in the menu
						 */
						$menuItems.bind('click', function(e) {
							var $this	= $(this),
							pos		= $this.index(),
							speed	= $this.data('speed'),
							easing	= $this.data('easing');
							//if an item is not yet shown
							if(!$menu.data('open')){
								//if current animating return
								if($menu.data('moving')) return false;
								$menu.data('moving', true);
								$.when(openItem(pos, speed, easing)).done(function(){
									$menu.data({
										open	: true,
										moving	: false
									});
									showContentItem(pos);
									$ltPattern.children().fadeOut(500);
								});
							}
							else
								showContentItem(pos);
							return false;
						});
							
						/*
							click close makes the boxes animate to the top of the page
						 */
						$ltClose.bind('click', function(e) {
							$menu.data('open', false);
							/*
								if we would want to show the default image when we close:
								changeBGImage('images/default.jpg');
							 */
							$ltPattern.children().fadeIn(500, function() {
								$ltContentItems.hide();
								$ltWrapper.hide();
							});
								
							disperse();
							return false;
						});
							
						/*
							click an image from "Works" content item,
							displays the image on the background
						 */
						$works.bind('click', function(e) {
							var source	= $(this).children('img').data('bgimg');
							changeBGImage(source);
							return false;
						});
								
					},
					/*
						changes the background image
					 */
					changeBGImage		= function(img) {
						//if its the current one return
						if($lt_bgimage.attr('src') === img || $lt_bgimage.siblings('img').length > 0)
							return false;
									
						var $itemImage = $('<img src="'+img+'" alt="Background" class="lt_bgimage" style="display:none;"/>');
						$itemImage.insertBefore($lt_bgimage);
							
						$lt_bgimage.fadeOut(1000, function() {
							$(this).remove();
							$lt_bgimage = $itemImage;
						});
						$itemImage.fadeIn(1000);
					},
					/*
						This shows a content item when there is already one shown:
					 */
					showContentItem		= function(pos) {
						$ltContentItems.hide();
						$ltWrapper.show();
						$ltContentItems.eq(pos).show().children('.lt_content_inner').jScrollPane();
					},
					/*
						moves the boxes from the top to the center of the page,
						and shows the respective content item
					 */
					openItem			= function(pos, speed, easing) {
						return $.Deferred(
						function(dfd) {
							$ltPattern.children().each(function(i) {
								var $el			= $(this),
								param		= {
									width	: '100px',
									height	: '100px',
									top		: 154 + 100 * Math.floor(i/4),
									left	: 200 + 100 * (i%4),
									opacity	: 1
								};
										
								if (!$.browser.msie)
									param.rotate	= '0deg';
										
								$el.animate(param, speed, easing, dfd.resolve);
							});
						}
					).promise();
					};
						
					return {
						init : init
					};
					
				})();
	
					
				/*
					call the init method of Menu
				 */
				Menu.init();
			});

    //widget contact form
    jQuery('#submit-form').click(function(){
 		
	var reg           = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
	var names         = jQuery('#contact-form [name="contact-names"]').val();	 
	var email_address = jQuery('#contact-form [name="contact-email"]').val();
    var youremail     = jQuery('#contact-form [name="contact-youremail"]').val();
    var emailsentmsg  = jQuery('#contact-form [name="contact-emailsent"]').val();
	var comment	      = jQuery.trim(jQuery('#contact-form .contact-comment').val());
	var valurl        = jQuery('#contact-form [name="do-validation"]').val();
	var data_html     ='';
    jQuery('.contact-names').removeClass('contactform-error');
    jQuery('.contact-email').removeClass('contactform-error');
    jQuery('.contact-comment').removeClass('contactform-error');
   
 				if((names == "" || (names == "Name"))){
 					 jQuery('.contact-names').addClass('contactform-error');
 				}
 				if((email_address == "") || (email_address == "Email")){
 					 jQuery('.contact-email').addClass('contactform-error');
 				}else if(reg.test(email_address) == false){
 					 jQuery('.email-required').addClass('contactform-error');
 				}
 				
 				if((comment == "") || (comment == "Message")){
 					 jQuery('.contact-comment').addClass('contactform-error');
 				}
 				
 		if(comment != "" && names != "" && reg.test(email_address) != false){
 		
 			data_html = "names="+ names + "&comment=" + comment + "&email_address=" + email_address + "&youremail="+ youremail + "&emailsentmsg="+ emailsentmsg;
            
 		  jQuery.ajax({
				  type: 'POST',				  
				  url: valurl, 
				  data: data_html,
                  beforeSend: function() {
                    jQuery('#success').html('Processing...');
                  },
				  success: function(msg){
				  	if (msg == 'sent'){
				  	        jQuery('#contact-form').hide('slow'); 
                            var emailsentmsg = jQuery('#contact-form [name="contact-emailsent"]').val();                             
				 			jQuery('#success').hide().html(emailsentmsg).show('slow');                    
                            //$('#success').html(youremail).show('slow');    
				 			jQuery('#contact-form [name="contact-names"]').val('');	 
						    jQuery('#contact-form [name="contact-email"]').val('');
                            jQuery('#contact-form [name="contact-youremail"]').val('');                            
    					    jQuery('#contact-form .contact-comment').val('');
				 			
				 		}else{
				 			jQuery('#success').html('Mail Error. Please Try Again.!');	
				 		}
				  }
			});
 		
 	  }
 	  		
	 	return false;
 	});
});
